System 4.0.0.0 System.Object

The class is used with classes in the namespace to provide support for authentication using extended protection for applications.

The design of integrated Windows authentication allows for some credential challenge responses to be universal, meaning they can be re-used or forwarded. If this particular design feature is not needed then the challenge responses should be constructed with, at minimum, target specific information and, at best, also some channel specific information. Services can then provide extended protection to ensure that credential challenge responses contain service specific information (a Service Provider Name or SPN) and, if necessary, channel specific information (a channel binding token or CBT). With this information in the credential exchanges, services are able to better protect against malicious use of credential challenge responses that might have been improperly obtained.

is the only class derived from class that can potentially use IWA. The class does only FTP clear text authentication. The class doesn't perform any authentication.

There are several ways an application may get a instance. An application that uses can get the using the property. An application that uses can get a using the or methods.

The class provides additional context about the underlying transport layer.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class

- Method
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.ChannelBinding ``

  The possible values for the parameter are or .

  If an application attempts to retrieve the channel binding token (CBT) from the property using the method and the is not , then the will throw . The overrides the method with an internal implementation

  Retrieves the requested channel binding.

  The requested , or null if the channel binding is not supported by the current transport or by the operating system.

  The type of channel binding to retrieve.